#ifndef MATH_H
#define MATH_H

extern float atan (float);
extern float cos (float);
extern float sin (float);
extern float tan (float);
extern float tanh (float);
extern float frexp (float, int *);
extern float modf (float, float *);
extern float ceil (float);
extern float fabs (float);
extern float floor (float);
extern float acos (float);
extern float asin (float);
extern float atan2 (float, float);
extern float cosh (float);
extern float sinh (float);
extern float exp (float);
extern float ldexp (float, int);
extern float log (float);
extern float log10 (float);
extern float pow (float, float);
extern float sqrt (float);
extern float fmod (float, float);

#endif
